/**
 * Created by Mihovil.Bubnjar on 18.08.2016.
 */
// {namespace name="frontend/plugins/payment/creditplus/backend"}
Ext.define('Shopware.apps.SicoCreditPlusProductgroups.model.SicoCreditPlusProductgroup', {
	extend: 'Shopware.data.Model',

	configure: function() {
		return {
			controller: 'SicoCreditPlusProductgroups',
			detail: 'Shopware.apps.SicoCreditPlusProductgroups.view.detail.SicoCreditPlusProductgroup'
		};
	},

	fields: [
		{ name : 'id', type: 'int', useNull: true },
		{ name : 'name', type: 'string' },
		{ name : 'sicoName', type: 'string' },
		{ name : 'sicoProductTypeId', type: 'string' },
		{ name : 'sicoProductClassId', type: 'string' }
	],
	associations: [{
		relation: 'OneToMany',
		field: 'offeredOptions',
		type: 'hasMany',
		model: 'Shopware.apps.SicoCreditPlusOfferedOptions.model.SicoCreditPlusOfferedOption',
		name: 'getOfferedOptions',
		associationKey: 'offeredOptions'
	}, {
		relation: 'ManyToMany',
		field: 'articles',
		type: 'hasMany',
		model: 'Shopware.apps.Base.model.Article',
		name: 'getArticles',
		associationKey: 'articles'
	}]
});