{namespace name="frontend/plugins/payment/creditplus"}

{block name="frontend_checkout_inc_sicoratetable_table"}
	{assign var="aLowestRates" value=array()}
	<table id="financing--table">
		{block name="frontend_checkout_inc_sicoratetable_table_colgroup"}
			<colgroup>
				<col width="15%" />
				<col width="16%" />
				<col width="20%" />
				<col width="17%" />
				<col width="15%" />
				<col width="17%" />
			</colgroup>
		{/block}
		{block name="frontend_checkout_inc_sicoratetable_table_thead"}
			<thead>
				{block name="frontend_checkout_inc_sicoratetable_table_thead_tr"}
					<tr class="headrow">
						{block name="frontend_checkout_inc_sicoratetable_table_thead_tr_tds"}
							<td>{s name='DetailsFinancingHeaderDuration'}Laufzeit{/s}</td>
							<td>{s name='DetailsFinancingHeaderInterestRate'}eff. Jahreszins{/s}</td>
							<td>{s name='DetailsFinancingHeaderNominalInterestRate'}geb. Sollzinssatz p.a.{/s}</td>
							<td>{s name='DetailsFinancingHeaderRequestedAmount'}Gesamtbetrag{/s}</td>
							<td>{s name='DetailsFinancingHeaderNumberOfPayments'}Anzahl der Raten{/s}</td>
							<td>{s name='DetailsFinancingHeaderMonthlyRate'}monatliche Rate{/s}</td>
						{/block}
					</tr>
				{/block}
			</thead>
		{/block}
		{block name="frontend_checkout_inc_sicoratetable_table_tbody"}
			<tbody>
				{block name="frontend_checkout_inc_sicoratetable_table_tbody_foreach"}
					{foreach from=$aSicoRateTable item='oMonthRow' name='oMonthForeach'}
						{if $smarty.foreach.oMonthForeach.iteration > (($aSicoRateTable|count)-3)}
							{* Nimmt Wert auf, gibt kein Ergebnis vom array_push aus *}
							{if $aLowestRates|array_push:$oMonthRow}
							{/if}
						{/if}
						{block name="frontend_checkout_inc_sicoratetable_table_tbody_tr"}
							<tr>
								{block name="frontend_checkout_inc_sicoratetable_table_tbody_tr_tds"}
									<td>{$oMonthRow->months} {s name='DetailsFinancingMonths'}Monate{/s}</td>
									<td>{$oMonthRow->interestRate}</td>
									<td>{$oMonthRow->nominalInterestRate}</td>
									<td>{$oMonthRow->totalAmount}</td>
									<td>{$oMonthRow->months}</td>
									<td>{$oMonthRow->monthlyRate}</td>
								{/block}
							</tr>
						{/block}
					{/foreach}
				{/block}
			</tbody>
		{/block}
	</table>
	{block name="frontend_checkout_inc_sicoratetable_table_mobile"}
		{if $aLowestRates}
			<div id="financing--table-mobile">
				{while $aLowestRates|count > 0}
					{assign var="oMonthRow" value=$aLowestRates|array_pop}
					{if $oMonthRow}
						<table class="table-mobile--block">
							<tr>
								<th>{s name='DetailsFinancingHeaderDuration'}Laufzeit{/s}</th>
								<td>{$oMonthRow->months} {s name='DetailsFinancingMonths'}Monate{/s}</td>
							</tr>
							<tr>
								<th>{s name='DetailsFinancingHeaderInterestRate'}eff. Jahreszins{/s}</th>
								<td>{$oMonthRow->interestRate}</td>
							</tr>
							<tr>
								<th>{s name='DetailsFinancingHeaderNominalInterestRate'}geb. Sollzinssatz p.a.{/s}</th>
								<td>{$oMonthRow->nominalInterestRate}</td>
							</tr>
							<tr>
								<th>{s name='DetailsFinancingHeaderRequestedAmount'}Gesamtbetrag{/s}</th>
								<td>{$oMonthRow->totalAmount}</td>
							</tr>
							<tr>
								<th>{s name='DetailsFinancingHeaderNumberOfPayments'}Anzahl der Raten{/s}</th>
								<td>{$oMonthRow->months}</td>
							</tr>
							<tr>
								<th>{s name='DetailsFinancingHeaderMonthlyRate'}monatliche Rate{/s}</th>
								<td>{$oMonthRow->monthlyRate}</td>
							</tr>
						</table>
					{/if}
				{/while}
			</div>
			{if $aSicoRateTable|count > 3}
				<div class="financing--sccp-mobilehint">
					{s name="sccpmobilehint"}Es stehen weitere Laufzeiten für die Finanzierung zur Verfügung.{/s}
				</div>
			{/if}
		{/if}
	{/block}
{/block}