{extends file="parent:frontend/detail/tabs.tpl"}

{namespace name="frontend/plugins/payment/creditplus"}

{block name="frontend_detail_tabs_navigation_inner" append}
	{if $iRateTableMode == 0}
		{if $aSicoRateTable}
			<a href="#" class="tab--link" title="{s name='DetailsFinancing'}Finanzierung{/s}" data-tabName="sico-creditplus">{s name='DetailsFinancing'}Finanzierung{/s}</a>
		{/if}
	{/if}
{/block}

{block name="frontend_detail_tabs_content_inner" append}
	{if $iRateTableMode == 0}
		{if $aSicoRateTable}
			<div class="tab--container">
				{* Financing title *}
				<div class="tab--header">
					<a href="#" class="tab--title" title="{s name='DetailsFinancing'}Finanzierung{/s}">{s name='DetailsFinancing'}Finanzierung{/s}</a>
				</div>

				{* Financing preview *}
				<div class="tab--preview">
					{s name="DetailsFinancingPreview"}Unter diesem Tab finden Sie die für diesen Artikel verfügbaren Finanzierungsoptionen.{/s} <a href="#" class="tab--link" title="{s name="DetailsFinancingMore"}Tabelle anzeigen{/s}">{s name="DetailsFinancingMore"}Tabelle anzeigen{/s}</a>
				</div>

				{* Financing table *}
				<div class="tab--content">
					{* Offcanvas buttons *}
					{block name='frontend_detail_sicocreditplus_financing_buttons_offcanvas'}
						<div class="buttons--off-canvas">
							{block name='frontend_detail_sicocreditplus_financing_buttons_offcanvas_inner'}
								<a href="#" title="{"{s name="OffcanvasCloseMenu" namespace="frontend/detail/description"}{/s}"|escape}" class="close--off-canvas">
									<i class="icon--arrow-left"></i>
									{s name="OffcanvasCloseMenu" namespace="frontend/detail/description"}{/s}
								</a>
							{/block}
						</div>
					{/block}
					<div class="content--sico-creditplus">
						<div id="financing--description">
							{$sSicoFinancingDescription}
						</div>
						{include file="frontend/checkout/inc/sicoratetable.tpl"}
						{if $bShowPAngVText}
						<div class="financing--sccp-pangvtext">
							{s name="sccppangvtext_text"}Der Kaufpreis entspricht dem Nettokreditbetrag. Diese Angaben stellen zugleich das 2/3-Beispiel gemäß § 6a Abs. 4 PAngV dar. Kreditvermittlung erfolgt alleine für die CreditPlus Bank AG, Augustenstraße 7, 70178 Stuttgart. Bonität vorausgesetzt.<br /><br />Gilt nur für ausgewählte Produkte.{/s}
						</div>
						{/if}
					</div>
				</div>
			</div>
		{/if}
	{/if}
{/block}
