{extends file="parent:frontend/index/index.tpl"}

{namespace name="frontend/plugins/payment/creditplus"}

{block name="frontend_index_content_left"}{/block}

{block name="frontend_index_content" append}
	<div class="content sicocreditplus--content">
		{if $iSuccess == 30307}
			<h2 class="title">{s name='sccpeverythingfinished_title'}Finanzierung abgeschlossen{/s}</h2>
			<div class="description">
				{s name='sccpeverythingfinished_text'}
					<p>Vielen Dank für Ihre Finanzierungsanfrage! Damit Sie Ihre Ware schnellstmöglich erhalten, folgen Sie bitte den Anweisungen der CreditPlus Bank.<br />Bitte beachten Sie, dass der Warenversand erst nach Eingang aller erforderlichen Unterlagen bei der CreditPlus Bank erfolgen kann.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30308}
			<h2 class="title">{s name='sccptechnicalerror_title'}Technischer Fehler{/s}</h2>
			<div class="description">
				{s name='sccptechnicalerror_text'}
					<p>Bei der Übertragung der Finanzierung an die CreditPlus Bank ist leider ein technischer Fehler aufgetreten.<br /><br />Bitte kontaktieren Sie uns, um den Vorgang abzuschließen.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30303}
			<h2 class="title">{s name='sccpabortinfo_title'}Finanzierung abgebrochen{/s}</h2>
			<div class="description">
				{* Sprachkonstante sccpabortinfo_text wird in Controllers/Frontend/Sicotrigger.php erstellt und angepasst *}
				{$sSccpAbortInfoText}
			</div>
		{elseif $iSuccess == 30304}
			<h2 class="title">{s name='sccpabortpaid_title'}Zahlungsart ändern nicht möglich{/s}</h2>
			<div class="description">
				{s name='sccpabortpaid_text'}
					<p>Eine Änderung der Zahlungsgsart ist aktuell nicht mehr möglich. Bitte setzen Sie sich mit uns in Verbindung.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30305}
			<h2 class="title">{s name='sccpabortmismatch_title'}Bestellung nicht gefunden{/s}</h2>
			<div class="description">
				{s name='sccpabortmismatch_text'}
					<p>Ihre Bestellung konnte leider nicht gefunden werden.<br /><br />Bitte setzen Sie sich mit uns in Verbindung um den Vorgang fortzusetzen.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30306}
			<h2 class="title">{s name='sccporderrestart_title'}Stornieren und neu bestellen{/s}</h2>
			<div class="description">
				{s name='sccporderrestart_text'}
					<p>Sie möchten eine andere Zahlungsart wählen? Wir werden Ihre Bestellung mit der gewählten Zahlungsart Finanzierung stornieren und eine neue Bestellung durchführen. Folgende Artikel sind in Ihrem Warenkorb. Möchten Sie die Zahlart ändern, klicken Sie bitte auf den nachfolgend aufgeführten Button.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30309}
			<h2 class="title">{s name='sccpalreadyfinished_title'}Bereits abgeschlossen{/s}</h2>
			<div class="description">
				{s name='sccpalreadyfinished_text'}
					<p>Sie haben die Finanzierung bereits abgeschlossen. Wenn Sie eine erneute Zusendung der Finanzierungsunterlagen wünschen kontaktieren Sie bitte die Servicehotline der CreditPlus Bank unter 069 / 17 087 - 407.</p>
				{/s}
			</div>
		{elseif $iSuccess == 30310}
			<h2 class="title">{s name='sccpnoarticlesleft_title'}Bereits storniert{/s}</h2>
			<div class="description">
				{s name='sccpnoarticlesleft_text'}
					<p>Ihre Bestellung wurde bereits storniert. Sie können jederzeit eine Neubestellung durchführen. </p>
				{/s}
			</div>
		{elseif $iSuccess == 2205}
			<h2 class="title">Testseite für Mika :)</h2>
		{else}
			{* Keine Aktion ausgewählt => uninformativen Text ausgeben *}
			<h2 class="title">{s name='sccpnoactiongiven_title'}CreditPlus Finanzierung{/s}</h2>
			<div class="description">
				{s name='sccpnoactiongiven_text'}
					<p>Dieser Shop hat das CreditPlus Modul für Shopware installiert.</p>
				{/s}
			</div>
		{/if}
	</div>
{/block}