/* {namespace name="frontend/plugins/payment/creditplus/backend"} */
//{block name="backend/order/view/detail/window" append}
Ext.define('Shopware.apps.Order.view.detail.SicoWindow', {
	override: 'Shopware.apps.Order.view.detail.Window',
	/**
	 * Creates the tab panel for the detail page.
	 * @return Ext.tab.Panel
	 */
	createTabPanel: function() {
		var me = this,
			parentPanel = me.callParent(arguments);
		parentPanel.add(
			Ext.create('Shopware.apps.Order.view.detail.SicoCreditPlus', {
				title: '{s name="SicoCreditPlusTab"}CreditPlus Finanzierung{/s}',
				record: me.record,
				orderStatusStore: me.orderStatusStore,
				paymentStatusStore:  me.paymentStatusStore,
				disabled: (me.record.getSicoCreditPlusData()?false:true)
			})
		);
		return parentPanel;
	}
});
//{/block}