/**
 * Created by Mihovil.Bubnjar on 18.08.2016.
 */
// {namespace name="frontend/plugins/payment/creditplus/backend"}
Ext.define('Shopware.apps.SicoCreditPlusOfferedOptions.model.SicoCreditPlusOfferedOption', {
	extend: 'Shopware.data.Model',

	configure: function() {
		return {
			controller: 'SicoCreditPlusOfferedOptions',
			detail: 'Shopware.apps.SicoCreditPlusOfferedOptions.view.detail.SicoCreditPlusOfferedOption'
		};
	},

	fields: [
		{ name : 'id', type: 'int', useNull: true },
		{ name : 'name', type: 'string' },
		{ name : 'sicoMonths', type: 'int' },
		{ name : 'sicoInterest', type: 'float' },
		{ name : 'sicoProdcode', type: 'string' },
		{ name : 'sicoActive', type: 'boolean' },
		{ name : 'sicoRatefactor', type: 'float' },
		{ name : 'sicoProdgroup', type: 'int' }
	],
	associations: [{
		relation: 'ManyToOne',
		field: 'sicoProdgroup',
		type: 'hasMany',
		model: 'Shopware.apps.SicoCreditPlusProductgroups.model.SicoCreditPlusProductgroup',
		name: 'getProductgroup',
		associationKey: 'productgroup'
	}]
});