{extends file="parent:frontend/index/index.tpl"}

{namespace name="frontend/plugins/payment/creditplus"}

{block name="frontend_index_content_left"}{/block}

{block name="frontend_index_content" append}
	<h3>{s name="SicoTriggerNewWindowTitle"}Finanzierung beantragen{/s}</h3>
	<div class="content sicocreditplus--content">
		<div class="sccp-popup">
			<div style="display: none;">
				<form target="_blank" action="{$sTargetURL}" method="get">
					<input id="sccp-submit" type="submit" value="Absenden" />
					{foreach from=$aGetParams item="sParam" key="sKey"}
						<input type="hidden" name="{$sKey}" value="{$sParam}" />
					{/foreach}
				</form>
			</div>
			{s name="AutoOpenOrClick"}Ihre Browser Einstellungen haben das Laden der CreditPlus Antragsstrecke verhindert.<br /><br/>Bitte lassen Sie das Popup zu oder klicken auf{/s}<br />
			<br />
			<a id="sccp-link" class="sccp-continue-to-payment" href="{$sTargetURL}" target="_blank">{s name="OpenFinancingInNewWindow"}Jetzt Finanzieren!{/s}</a><br />
			<br />
			<br />
			<br />
			{s name="StartCancelProcess"}Sollten Sie von der Finanzierung absehen, klicken Sie bitte auf "Finanzierung abbrechen":{/s}<br />
			<br />
			<a href="{$sBackURL}">{s name="CancelLink"}Finanzierung abbrechen{/s}</a>
			<!-- Code is in JavaScript at the end of the page - look for "sccp-popup code" -->
			{capture name='sPopupBlock'}
				<script type="text/javascript">
					// Shopware 5.3.x upgrade compatible implementation of "async ready?" check
					if ( typeof document.asyncReady === 'undefined' ) {
						document.asyncReady = function(oCallable) {
							window.setTimeout(oCallable,3000);
						}
					}
					document.asyncReady(function() {
						(function ($) {
							//"sccp-popup code"
							$(document).ready(function () {
								var bShowModal = true;
								if ( /iPhone|iPad|iPod|Android/i.test(navigator.userAgent) ) {
									bShowModal = false;
								}
								if ( window.outerWidth <= 1024 ) {
									bShowModal = false;
								}
								if ( bShowModal ) {
									$.modal.open('{$sTargetURL}', {
										mode: 'iframe',
										width: '90%',
										height: 'auto',
										onClose: function () {
											document.location.href = '{$sBackURL}';
										}
									});
								} else {
									$('#sccp-submit').click();
								}
							});
						})(jQuery);
					});
				</script>
			{/capture}
		</div>
	</div>
{/block}

{block name="frontend_index_header_javascript_jquery_lib" append}
	{$smarty.capture.sPopupBlock}
{/block}